Bug 1845067 (CVE-2020-10762) - CVE-2020-10762 gluster-block: information disclosure through world-readable gluster-block log files
Summary: CVE-2020-10762 gluster-block: information disclosure through world-readable g...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-10762
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1845071 1877221
Blocks: 1844560
TreeView+ depends on / blocked
 
Reported: 2020-06-08 12:02 UTC by Hardik Vyas
Modified: 2021-02-16 19:55 UTC (History)
8 users (show)

Fixed In Version: gluster-block 0.5.1
Doc Type: If docs needed, set a value
Doc Text:
An information-disclosure flaw was found in the way that gluster-block logs the output from gluster-block CLI operations. This includes recording passwords to the cmd_history.log file which is world-readable. This flaw allows local users to obtain sensitive information by reading the log file. The highest threat from this vulnerability is to data confidentiality.
Clone Of:
Environment:
Last Closed: 2020-09-30 20:21:09 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4143 0 None None None 2020-09-30 15:17:11 UTC

Description Hardik Vyas 2020-06-08 12:02:11 UTC
gluster-block records the output from gluster-block cli to cmd_history.log and gluster-blockd.log (cmd_history.log journals all the cli operations). The block volume create/modify/info commands will contain sensitive information such as passwords which will be stored into these world readable log files cmd_history.log and gluster-blockd.log. This issue has been introduced since gluster-block-v0.2.1 release.

Comment 1 Hardik Vyas 2020-06-08 12:02:15 UTC
Acknowledgments:

Name: Prasanna Kumar Kalever (Red Hat)

Comment 3 Hardik Vyas 2020-06-08 12:02:21 UTC
Mitigation:

Manually change the log files permission to remove readable bits for others, e.g;

# chmod 640 /var/log/glusterfs/gluster-block/cmd_history.log

NOTE: The above mitigation only restricts access to the other local users. To avoid storing passwords to the log file, kindly update  gluster-block to the fixed version.

Comment 6 RaTasha Tillery-Smith 2020-06-08 17:04:15 UTC
Statement:

The version of gluster-block shipped with Red Hat Gluster Storage 3 sets the world-readable permissions on gluster-block directory and log files that store the sensitive information, hence affected by this vulnerability.

Comment 13 Hardik Vyas 2020-09-30 14:52:28 UTC
Upstream PR: https://github.com/gluster/gluster-block/pull/280

Comment 14 Hardik Vyas 2020-09-30 14:54:02 UTC
External References:

https://github.com/gluster/gluster-block/releases/tag/v0.5.1

Comment 15 errata-xmlrpc 2020-09-30 15:17:07 UTC
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.5 for RHEL 7
  Native Client for RHEL 7 for Red Hat Storage

Via RHSA-2020:4143 https://access.redhat.com/errata/RHSA-2020:4143

Comment 16 Product Security DevOps Team 2020-09-30 20:21:09 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-10762


Note You need to log in before you can comment on or make changes to this bug.